Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 08-23-2014, 05:23 PM   #31
grozierguy
Junior Member
grozierguy began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Aug 2014
Device: iPad with Marvin
Tried installing, got error message. Did not know that updating to version 2 would remove the existing plugins and convert a working iPad/Marvin to no longer recognizable. I did originally have the iPad conneccted, bit since then disconnected and rebooted, restarted Calibre.

calibre, version 2.0.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

Traceback (most recent call last):
File "site-packages\calibre\gui2\dialogs\plugin_updater.py", line 712, in _install_clicked
File "site-packages\calibre\customize\ui.py", line 379, in add_plugin
File "site-packages\calibre\customize\ui.py", line 53, in load_plugin
File "site-packages\calibre\customize\zipplugin.py", line 197, in load
File "importlib\__init__.py", line 37, in import_module
File "site-packages\calibre\customize\zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt
grozierguy is offline   Reply With Quote
Advert
Old 08-23-2014, 06:12 PM   #32
PeterT
Grand Sorcerer
PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.
 
PeterT's Avatar
 
Posts: 9,972
Karma: 58567737
Join Date: Nov 2007
Location: Toronto
Device: Wife: Touch, Arc, Vox Me: Nexus 7, Glo
Folks; if you took the time to read a few messages in this forum, you would see that the issue is this Plugin has NOT YET been upgraded to use Qt5, the GUI tooklkit that calibre uses.

If you want to continue using this, in the shorttime you need to reinstall calibre 1.48
PeterT is offline   Reply With Quote
Old 08-27-2014, 06:13 AM   #33
dini
Junior Member
dini began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Aug 2014
Device: iPad and Kindle and Sony
I hope this helps

Hi Everyone,

I was having a great deal of difficulty with this plugin, using an iOS 7 iPad Air (LTE cellular). I used calibre 1.48, tried even a fresh install on a different computer (Snow Leopard and Mavericks), following the instructions ultra-accurately on the Marvin blog:
http://blog.marvinapp.com/post/53438723356

As well as the instructions on the earlier version of this thread, before I saw this one. However, calibre would not recognize the iPad, and in fact deleted the iOS reader applications plugin when I tried. And tired and tried. The trick seems to be to not follow the instructions on the blog, and instead, have calibre launched already before connecting the iPad on the first connection attempt after plugin install (and relaunch). It will give the message that it could not connect the device (before you have the chance to tap the Trust button on the iPad). Tap trust, dismiss calibre's message, and connect again. Finally, the Red M appears on the tool bar for the first time.

I spent at least a couple of hours messing around with this, hard resetting the iPad, truly everything. It seems the Trust issue ends up deleting the plugin if you launch calibre after connecting the iPad. I never got the message that there was a problem, and no Marvin icon appeared. Very strange, actually, that the plugin was deleted, not just inactivated. (Actually, not completely deleted, but gone from the list of plugins from the Preferences, and when I go to install again, it is indicated as not yet installed).

I hope my comment helps, including those who are trying to trouble shoot for others!

Last edited by dini; 08-27-2014 at 06:19 AM. Reason: changed one word (typo)
dini is offline   Reply With Quote
Old 08-27-2014, 09:33 AM   #34
Alissa1651
Member
Alissa1651 began at the beginning.
 
Posts: 15
Karma: 10
Join Date: Aug 2014
Device: Kindle app for iOS
Quote:
Originally Posted by dini View Post
Hi Everyone,

I was having a great deal of difficulty with this plugin, using an iOS 7 iPad Air (LTE cellular). I used calibre 1.48, tried even a fresh install on a different computer (Snow Leopard and Mavericks), following the instructions ultra-accurately on the Marvin blog:
http://blog.marvinapp.com/post/53438723356

As well as the instructions on the earlier version of this thread, before I saw this one. However, calibre would not recognize the iPad, and in fact deleted the iOS reader applications plugin when I tried. And tired and tried. The trick seems to be to not follow the instructions on the blog, and instead, have calibre launched already before connecting the iPad on the first connection attempt after plugin install (and relaunch). It will give the message that it could not connect the device (before you have the chance to tap the Trust button on the iPad). Tap trust, dismiss calibre's message, and connect again. Finally, the Red M appears on the tool bar for the first time.

I spent at least a couple of hours messing around with this, hard resetting the iPad, truly everything. It seems the Trust issue ends up deleting the plugin if you launch calibre after connecting the iPad. I never got the message that there was a problem, and no Marvin icon appeared. Very strange, actually, that the plugin was deleted, not just inactivated. (Actually, not completely deleted, but gone from the list of plugins from the Preferences, and when I go to install again, it is indicated as not yet installed).

I hope my comment helps, including those who are trying to trouble shoot for others!
Thanks dini! Glad that I'm not the only one experiencing this problem, with iPhone 4 iOS 6.1.3, so no "trust" messages in my case, but all of the above, including the sudden cancellation of the plugin. Thanks to dini's post I tried the following and it worked: open Calibre, install the plugin, relaunch calibre, configure the plugin and connect the device with Calibre open. Finally I got the icon for the Kindle app (in my case) on the toolbar.
I just wonder why the plugin retrieved a list of 87 mobi in my device out of the actual 131 mobi files present.
The plugin works, I simply have to connect the device with Calibre already running.
Alissa1651 is offline   Reply With Quote
Old 08-28-2014, 08:16 AM   #35
saflier
Junior Member
saflier began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Aug 2014
Device: Kindle
After installing Calibre 2.0 the plugin is gone.
When trying to re-install I get the following error:
calibre, version 2.0.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

Traceback (most recent call last):
File "site-packages\calibre\gui2\dialogs\plugin_updater.py", line 712, in _install_clicked
File "site-packages\calibre\customize\ui.py", line 379, in add_plugin
File "site-packages\calibre\customize\ui.py", line 53, in load_plugin
File "site-packages\calibre\customize\zipplugin.py", line 197, in load
File "importlib\__init__.py", line 37, in import_module
File "site-packages\calibre\customize\zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt
saflier is offline   Reply With Quote
Advert
Old 08-28-2014, 09:04 AM   #36
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 49,100
Karma: 41594657
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, Sony PRS-650, Sony PRS-T1, nook STR, iPad 4, iPhone 5
Quote:
Originally Posted by saflier View Post
After installing Calibre 2.0 the plugin is gone.
When trying to re-install I get the following error:
calibre, version 2.0.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

Traceback (most recent call last):
File "site-packages\calibre\gui2\dialogs\plugin_updater.py", line 712, in _install_clicked
File "site-packages\calibre\customize\ui.py", line 379, in add_plugin
File "site-packages\calibre\customize\ui.py", line 53, in load_plugin
File "site-packages\calibre\customize\zipplugin.py", line 197, in load
File "importlib\__init__.py", line 37, in import_module
File "site-packages\calibre\customize\zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt
If you had bothered to read this thread, you would have known that this plugin is NOT Qt5 compatible and thus won't run with Calibre 2.0. You'll ave to go back to Calibre 1.48.
JSWolf is offline   Reply With Quote
Old 08-28-2014, 10:03 AM   #37
dgparryuk
Enthusiast
dgparryuk began at the beginning.
 
Posts: 25
Karma: 10
Join Date: Dec 2013
Device: Kobo Glo
Completely and utterly un-tested
i've updated the simple bits and it let me install it...
am going to try it tonight when i get home

i just fancied

a) trying to update it so see some code
b) want to put a couple of books on my iphone....

if someone is brave enough to want to test it...

it WILL NOT WORK ON PRE 2.0 though....

-----------

removed

Last edited by dgparryuk; 08-28-2014 at 10:27 AM.
dgparryuk is offline   Reply With Quote
Old 08-28-2014, 10:10 AM   #38
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 49,100
Karma: 41594657
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, Sony PRS-650, Sony PRS-T1, nook STR, iPad 4, iPhone 5
Quote:
Originally Posted by dgparryuk View Post
Completely and utterly un-tested
i've updated the simple bits and it let me install it...
am going to try it tonight when i get home

i just fancied

a) trying to update it so see some code
b) want to put a couple of books on my iphone....

if someone is brave enough to want to test it...

it WILL NOT WORK ON PRE 2.0 though....
This will also need to be fixed so it runs on 1.48. Plugins should not be Calibre 2.x specific and should be Qt4/Qt5 compatible for the foreseeable future. People who are running Windows XP will not be able to install Calibre 2.x come this Friday so for them it's back to 1.48 and if plugins start to become 2.x specific, any fixes/changes won't get to them. Same issue with people on OS X running an older version. They cannot run Calibre 2.x as well.

Thank you for this fix and let's hope it works. Then once it's worked, it can be ported back to Qt4 without breaking Qt5.
JSWolf is offline   Reply With Quote
Old 08-28-2014, 10:15 AM   #39
dgparryuk
Enthusiast
dgparryuk began at the beginning.
 
Posts: 25
Karma: 10
Join Date: Dec 2013
Device: Kobo Glo
i tried to do the bits Kovid said about with the except but it was coming up with indentation errors - so i decided to see if the qt5 bits worked then work backwards
dgparryuk is offline   Reply With Quote
Old 08-28-2014, 10:30 AM   #40
dgparryuk
Enthusiast
dgparryuk began at the beginning.
 
Posts: 25
Karma: 10
Join Date: Dec 2013
Device: Kobo Glo
gah - won't let me save after changing some of the preferences...
will have another play -

something about the line "for i in range(self.columns.count())]" that seems to be blowing it up...


, line 75, in options - AttributeError: 'unicode' object has no attribute 'toString'

Code:
    def options(self):
        '''
        Return a dict of current options
        '''
        opts = {}
        all_formats = [unicode(self.columns.item(i).data(Qt.UserRole).toString())
            for i in range(self.columns.count())]
        enabled_formats = [unicode(self.columns.item(i).data(Qt.UserRole).toString())
            for i in range(self.columns.count()) if self.columns.item(i).checkState()==Qt.Checked]
        opts['kindle_supported_formats'] = all_formats
        opts['kindle_enabled_formats'] = enabled_formats
        return opts

Last edited by dgparryuk; 08-28-2014 at 10:51 AM.
dgparryuk is offline   Reply With Quote
Old 08-28-2014, 11:09 AM   #41
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 31,434
Karma: 8154029
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
See point number 2 in my instructions. You need to remove toString() and use the utility function I describe there instead.
kovidgoyal is offline   Reply With Quote
Old 08-28-2014, 03:39 PM   #42
MSWallack
Right, Except When Wrong
MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.MSWallack ought to be getting tired of karma fortunes by now.
 
MSWallack's Avatar
 
Posts: 277
Karma: 1090652
Join Date: Aug 2007
Location: Indianapolis
Device: iPad Mini (but I have numerous other devices buried here & there...)
I won't be able to use 2.0 on my XP computer (which is all I have at the office...)?
MSWallack is offline   Reply With Quote
Old 08-29-2014, 12:26 AM   #43
tempura
Connoisseur
tempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipediatempura knows more than wikipedia
 
Posts: 66
Karma: 47102
Join Date: Dec 2013
Location: Outside the Universe
Device: Kindle PW3
Hopefully the plugins would be made to work on both 2.x, above and below.
tempura is offline   Reply With Quote
Old 08-29-2014, 05:06 AM   #44
Haphazard
Junior Member
Haphazard began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Aug 2014
Device: ipad air
I can no longer connect to Marvin on my iPad. I went through the plugins and found that I no longer have the IOS reader app. When I try and download it I get this error report. I have used Marvin and Calibre in the past quite successfully . I don't know why I can no longer have it or my iPad register in Calibre or why I can't download the IOS app , I must have had the plugin before? calibre, version 2.1.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

Traceback (most recent call last):
File "site-packages\calibre\gui2\dialogs\plugin_updater.py", line 712, in _install_clicked
File "site-packages\calibre\customize\ui.py", line 379, in add_plugin
File "site-packages\calibre\customize\ui.py", line 53, in load_plugin
File "site-packages\calibre\customize\zipplugin.py", line 197, in load
File "importlib\__init__.py", line 37, in import_module
File "site-packages\calibre\customize\zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt
Haphazard is offline   Reply With Quote
Old 08-29-2014, 05:21 AM   #45
BetterRed
null operator
BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.
 
Posts: 8,989
Karma: 7214889
Join Date: Mar 2012
Location: Sydney Australia
Device: none
@Haphazard - you'll have to uninstall v2.1 and reinstall 1.48

If you had read this calibre - New in calibre 2.0 and this Stats for porting of calibre plugins to Qt 5 then... you could have avoided having to do that and if you had read posts 31-43 in this thread then... Ψ²

BR
BetterRed is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[Device Plugin] iOS reader applications (closed) GRiker Plugins 182 06-15-2014 05:00 PM
iOS Reader Application Plugin Guinan Plugins 1 03-30-2014 08:18 PM
Getting Books onto your iOS device with iTunes kyteflyer Apple Devices 9 01-30-2013 02:50 PM
[Device Plugin] Kindle 2, 3, 4, Touch Device Interface MBP Update Mod cryzed Plugins 7 10-28-2012 04:58 PM


All times are GMT -4. The time now is 03:12 AM.


MobileRead.com is a privately owned, operated and funded community.